<?php
/**
 * Encycloed Plugin: Get the article.
 *
 * @license  LGPL 2 (http://www.gnu.org/licenses/gpl.html)
 * @author   S.Chekanov 
 * @based_on "pageindex" plugin by Kite <Kite@puzzlers.org>
 * @based_on "externallink" plugin by Otto Vainio <plugins@valjakko.net>
 * @based_on "pagelist" plugin by Esther Brunner <wikidesign@gmail.com>
 *
 */


if(!defined('DOKU_INC')) define('DOKU_INC',realpath(dirname(__FILE__).'/../../../').'/');
if(!defined('DOKU_LIB')) define('DOKU_LIB',realpath(dirname(__FILE__).'/../../').'/');
if(!defined('DOKU_PLUGIN')) define('DOKU_PLUGIN',DOKU_LIB.'plugins/');
//define('DOKU_MAIN',realpath(dirname(__FILE__).'/../../../').'/');

// must be run within Dokuwiki
if(!defined('DOKU_INC')) die("Cannot find installed DokuWiki");

//echo DOKU_INC;
//die();

//require_once(DOKU_INC.'/inc/pageutils.php');
require_once(DOKU_INC.'/inc/init.php');
require_once(DOKU_INC.'/inc/template.php');
//require_once(DOKU_PLUGIN.'/encycloed/utils.php');

$CURRENT_URL="https://jwork.org/encycloed";


       function texifyReference($reference) {
                $patterns[ 0] = '/[áâ�| åä]/ui';
                $patterns[ 1] = '/[ðéêèë]/ui';
                $patterns[ 2] = '/[íîìï]/ui';
                $patterns[ 3] = '/[óôòøõö]/ui';
                $patterns[ 4] = '/[úûùü]/ui';
                $patterns[ 5] = '/æ/ui';
                $patterns[ 6] = '/ç/ui';
                $patterns[ 7] = '/�~_/ui';
                $patterns[ 8] = '/\\s/';
                $patterns[ 9] = '/#/';
                $patterns[10] = '/[^A-Za-z0-9\\-:]/';
                $replacements[ 0] = 'a';
                $replacements[ 1] = 'e';
                $replacements[ 2] = 'i';
                $replacements[ 3] = 'o';
                $replacements[ 4] = 'u';
                $replacements[ 5] = 'ae';
                $replacements[ 6] = 'c';
                $replacements[ 7] = 'ss';
                $replacements[ 8] = '-';
                $replacements[ 9] = ':';
                $replacements[10] = '_';

                return preg_replace($patterns, $replacements, $reference);
        }


// wget -E  https://jwork.org/encycloed/doku.php?id=encyclosphere:encyclosphere -l 0 --header="X-DokuWiki-Do: export_xhtmlbody" -O article
// https://www.dokuwiki.org/export

//  create ENCYC article
//https://www.dokuwiki.org/plugin:getraw

$ID = cleanID(getID());
$onlyCode = $INPUT->str('onlyCode');
$insideTag = $INPUT->str('insideTag');


    if (empty($conf['useacl']) || auth_quickaclcheck($ID) >= AUTH_READ) {
    	$file = rawWiki($ID);
        $fileLastMod = wikiFN($ID);
        $lastMod     = @filemtime($fileLastMod); // from page
        $NS=getNS($ID); 

        // get revisions
        $filepath = str_replace(":", "/", $ID);
        // list all revisions 
        $path=DOKU_INC."data/attic/". $filepath."*";
        $files = glob($path);
      
        //print_r($files);

        $changes="data/meta/".$filepath .".changes";
        $indexed="data/meta/".$filepath .".indexed";
        $meta="data/meta/".$filepath .".meta";

        $dir_changes=DOKU_INC."data/meta/".$filepath .".changes";
        $dir_indexed=DOKU_INC."data/meta/".$filepath .".indexed";
        $dir_meta=DOKU_INC."data/meta/".$filepath .".meta";

        //echo $dir_changes;

    	//if ($onlyCode)
    	//	$file = preg_replace('/[\s\S]*<code>/m', '', preg_replace('/<\/code>[\s\S]*/m', '', $file));
    	//if ($insideTag)
        //		$file = preg_replace('/[\s\S]*<' . $insideTag . '[^>]*>/m', '', preg_replace('/<\/' . $insideTag . '>[\s\S]*/m', '', $file));

    	//print $file;
       // file_put_contents("tmp/article.txt", $file);
        

$pieces = explode(":", $ID);

$filename="article";
if (count($pieces)>1)
   $filename=texifyReference($pieces[1]);  // no spaces etc..
$filename=DOKU_INC."data/cache/".$filename . ".wik";
//$filename="/tmp/".$filename . ".wik";
//echo $filename;
//die("OK");

$zip = new ZipArchive;
$isZipOpen=$zip->open($filename, ZipArchive::CREATE);

if ($isZipOpen === TRUE)
{
    // Add files to the zip file
    //$zip->addFile('test.txt');
    //$zip->addFile('test.pdf');
    // Add random.txt file to zip and rename it to newfile.txt
    //$zip->addFile('random.txt', 'newfile.txt');
    // Add a file new.txt file to zip using the text specified
    $zip->addFromString('article.txt', $file);

   //$xx="https://jwork.org/encycloed/doku.php?id=".$ID."&do=export_xhtmlbody";
   $xx=$CURRENT_URL."/doku.php?id=".$ID."&do=export_html";
   $html_content = file_get_contents($xx);

   // XHTML for embedding
   $xx=$CURRENT_URL."/doku.php?id=".$ID."&do=export_xhtmlbody";
   $body_content = file_get_contents($xx);


   # push all revisions too
    $xr=0;
    foreach ($files as $xfile) { 
             $destination = str_replace(DOKU_INC, "", $xfile);
             //print($destination);
             $zip->addFile($xfile, $destination);
             $xr=$xr+1;
             };

    // metadata
    $zip->addFile($dir_changes, $changes);
    $zip->addFile($dir_indexed, $indexed);
    $zip->addFile($dir_meta,   $meta);

    $page_title=tpl_pagetitle(null,true);
    //$page_info=tpl_pageinfo(true);

    //die("OK");

    // metadata for the current revision
    $tt['Title'] = tpl_pagetitle(null,true);
    $tt['Namespace'] = $NS;
    $tt['Modified'] = dformat($INFO['lastmod']);
    $tt['Location'] =  $fileLastMod;
    $tt['Revisions'] =  $xr; 
    $zip->addFromString('meta.json', json_encode($tt));


// get all images in the form: encycloed/lib/exe/fetch.php?w=300&tok=808e00&media=encyclosphere:encyclosphere_logo_image_alone.png 


$toReplace = array();
$replacement = array();

$nn=0;
$doc = new DOMDocument();
@$doc->loadHTML($html_content);
$tags = $doc->getElementsByTagName('img');
foreach ($tags as $tag) {
       $URL=$tag->getAttribute('src');
       $pieces = explode($NS.":", $URL);
       $img="none";
       if (count($pieces))
                     $img=$pieces[1];

       $output="data/media/".$NS."/".$img;
       //echo $output ."\n";
       $imgfile=$output;
       //echo $imgfile ."\n";
       $URL = str_replace("&", "&amp;", $URL);
       //echo $URL . " -> " . $imgfile;
       $zip->addFile($imgfile, $output);
       array_push($toReplace,$URL);
       array_push($replacement,$imgfile);
       $nn=$nn+1;
}

$newhtml_content = str_replace($toReplace, $replacement, $html_content);
$newbody_content = str_replace($toReplace, $replacement, $body_content);


$zip->addFromString('article.html', $newhtml_content);
$zip->addFromString('article.xhtml', $newbody_content);


}

// All files are added, so close the zip file.
$zip->close();

/*
if (file_exists($filename)) {
     print($filename);
};
*/

  if (file_exists($filename)) {
     header('Content-Type: application/zip');
     header('Content-Disposition: attachment; filename="'.basename($filename).'"');
     header('Content-Length: ' . filesize($filename));
     flush();
     readfile($filename);
     // delete file
     unlink($filename);
   }


    }
    else
    	print "Unauthorized";

?>

